W3C home > Mailing lists > Public > public-rdf-ruby@w3.org > August 2016

Updates to Ruby JSON-LD gem for framing and meta-release including preloaded contexts

From: Gregg Kellogg <gregg@greggkellogg.net>
Date: Sun, 14 Aug 2016 12:05:58 -0700
Message-Id: <74489ACD-A760-4C2A-BE20-F18B857272BA@greggkellogg.net>
To: W3C Ruby RDF mailing list <public-rdf-ruby@w3.org>, JSON-LD CG <public-linked-json@w3.org>
The JSON-LD gem was updated for general performance improvements and to support preloaded contexts. Preloading contexts can substantially reduce processing time, at the expense of freezing the version of these contexts when the code is built.

Additional changes to improve framing support to match jsonld.js are also available.

To use preloaded contexts, require the json-ld-preloaded gem (require ‘json/ld/preloaded’). In addition to schema.org, this includes other contexts referenced in https://github.com/json-ld/json-ld.org/wiki/existing-contexts.

Note that the minimum Ruby version supported is now 2.2.2.

Gregg Kellogg
gregg@greggkellogg.net
Received on Sunday, 14 August 2016 19:06:28 UTC

This archive was generated by hypermail 2.3.1 : Sunday, 14 August 2016 19:06:29 UTC